Description

Today The foreman in my company manages 3500 puppetclasses along with 5 environments.

Doing, a simple search in the puppetclasses controller without indexes by name takes too long! more than 30 seg, as follows:

Completed in 33232ms (View: 68, DB: 33151) | 200 OK [http://puppet.globoi.com/puppetclasses?search=cocoon]

with indexes:

Completed in 92ms (View: 69, DB: 12) | 200 OK [http://puppet.globoi.com/puppetclasses?search=cocoon

Here is the migration created to add some indexes to some columns..

class AddSomeIndexes < ActiveRecord::Migration

def self.up

#environments_puppetclasses

add_index :environments_puppetclasses, :puppetclass_id

add_index :environments_puppetclasses, :environment_id

#puppetclasses

add_index :puppetclasses, :name

#hostgroups_puppetclasses

add_index :hostgroups_puppetclasses, :puppetclass_id

add_index :hostgroups_puppetclasses, :hostgroup_id

end

def self.down

    #environments_puppetclasses

    remove_index :environments_puppetclasses, :puppetclass_id

    remove_index :environments_puppetclasses, :environment_id

    #puppetclasses

    remove_index :puppetclasses, :name

    #hostgroups_puppetclasses

    remove_index :hostgroups_puppetclasses, :puppetclass_id

    remove_index :hostgroups_puppetclasses, :hostgroup_id

  end

end

Associated revisions

Revision e1291b41 - 09/05/2012 10:30 AM - Gustavo Soares Souza 

fixes #1837 add some indexes to improve performance

History

#1 - 09/05/2012 03:55 AM - Ohad Levy

- Target version set to 1.1

05/12/2024 1/2

http://puppet.globoi.com/puppetclasses?search=cocoon
http://puppet.globoi.com/puppetclasses?search=cocoon


Great, any chance you would like to send it as a git patch Contribute ? this way you would get the credit :)

#2 - 09/05/2012 08:35 AM - Gustavo Soares

Sure. I'll do that.

#3 - 09/05/2012 11:47 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e1291b41c4252a3002a1e7f5c55c1c8e80a16e0f.
